<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
  <head>
    <meta charset="utf-8" />
    <meta name="generator" content="pandoc" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=yes"
    />
    <title>emmet</title>
    <style type="text/css">
      code {
        white-space: pre-wrap;
      }
      span.smallcaps {
        font-variant: small-caps;
      }
      span.underline {
        text-decoration: underline;
      }
      div.column {
        display: inline-block;
        vertical-align: top;
        width: 50%;
      }
    </style>
    <style type="text/css">
      a.sourceLine {
        display: inline-block;
        line-height: 1.25;
      }
      a.sourceLine {
        pointer-events: none;
        color: inherit;
        text-decoration: inherit;
      }
      a.sourceLine:empty {
        height: 1.2em;
      }
      .sourceCode {
        overflow: visible;
      }
      code.sourceCode {
        white-space: pre;
        position: relative;
      }
      div.sourceCode {
        margin: 1em 0;
      }
      pre.sourceCode {
        margin: 0;
      }
      @media screen {
        div.sourceCode {
          overflow: auto;
        }
      }
      @media print {
        code.sourceCode {
          white-space: pre-wrap;
        }
        a.sourceLine {
          text-indent: -1em;
          padding-left: 1em;
        }
      }
      pre.numberSource a.sourceLine {
        position: relative;
        left: -4em;
      }
      pre.numberSource a.sourceLine::before {
        content: attr(title);
        position: relative;
        left: -1em;
        text-align: right;
        vertical-align: baseline;
        border: none;
        pointer-events: all;
        display: inline-block;
        -webkit-touch-callout: none;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
        padding: 0 4px;
        width: 4em;
        color: #aaaaaa;
      }
      pre.numberSource {
        margin-left: 3em;
        border-left: 1px solid #aaaaaa;
        padding-left: 4px;
      }
      div.sourceCode {
      }
      @media screen {
        a.sourceLine::before {
          text-decoration: underline;
        }
      }
      code span.al {
        color: #ff0000;
        font-weight: bold;
      } /* Alert */
      code span.an {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Annotation */
      code span.at {
        color: #7d9029;
      } /* Attribute */
      code span.bn {
        color: #40a070;
      } /* BaseN */
      code span.bu {
      } /* BuiltIn */
      code span.cf {
        color: #007020;
        font-weight: bold;
      } /* ControlFlow */
      code span.ch {
        color: #4070a0;
      } /* Char */
      code span.cn {
        color: #880000;
      } /* Constant */
      code span.co {
        color: #60a0b0;
        font-style: italic;
      } /* Comment */
      code span.cv {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* CommentVar */
      code span.do {
        color: #ba2121;
        font-style: italic;
      } /* Documentation */
      code span.dt {
        color: #902000;
      } /* DataType */
      code span.dv {
        color: #40a070;
      } /* DecVal */
      code span.er {
        color: #ff0000;
        font-weight: bold;
      } /* Error */
      code span.ex {
      } /* Extension */
      code span.fl {
        color: #40a070;
      } /* Float */
      code span.fu {
        color: #06287e;
      } /* Function */
      code span.im {
      } /* Import */
      code span.in {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Information */
      code span.kw {
        color: #007020;
        font-weight: bold;
      } /* Keyword */
      code span.op {
        color: #666666;
      } /* Operator */
      code span.ot {
        color: #007020;
      } /* Other */
      code span.pp {
        color: #bc7a00;
      } /* Preprocessor */
      code span.sc {
        color: #4070a0;
      } /* SpecialChar */
      code span.ss {
        color: #bb6688;
      } /* SpecialString */
      code span.st {
        color: #4070a0;
      } /* String */
      code span.va {
        color: #19177c;
      } /* Variable */
      code span.vs {
        color: #4070a0;
      } /* VerbatimString */
      code span.wa {
        color: #60a0b0;
        font-weight: bold;
        font-style: italic;
      } /* Warning */
    </style>
  </head>
  <body>
    <h1 id="emmet">EMMET</h1>
    <p><em>The essential toolkit for web-developers</em></p>
    <h2 id="introduction">Introduction</h2>
    <p>
      Emmet is a productivity toolkit for web developers that uses expressions
      to generate HTML snippets.
    </p>
    <h2 id="installation">Installation</h2>
    <p>
      Normally, installation for Emmet should be a straight-forward process from
      the package-manager, as most of the modern text editors support Emmet. If
      you have difficulty setting up emmet with your editor and wish to check
      Emmet is supported by your favourite editor or not, you can check it from
      here.
      <a href="https://?emmet.io/download/">Emmet Installation instructions</a>
    </p>
    <h2 id="usage">Usage</h2>
    <p>You can use Emmet in two ways:</p>
    <ul>
      <li>
        Tab Expand Way: Type your emmet code and press <code>Tab</code> key
      </li>
      <li>
        Interactive Method: Press <code>alt + ctrl + Enter</code> and start
        typing your expressions. This should automatically generate HTML
        snippets on the fly.
      </li>
    </ul>
    <p>
      <strong
        >This cheatsheet will assume that you press <code>Tab</code> after each
        expressions.</strong
      >
    </p>
    <h2 id="html">HTML</h2>
    <h3 id="generating-html-5-doctype">Generating HTML 5 DOCTYPE</h3>
    <p><code>html:5</code> Will generate</p>
    <div class="sourceCode" id="cb1">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb1-1" title="1"><span class="dt">&lt;!DOCTYPE </span>html<span class="dt">&gt;</span></a>
<a class="sourceLine" id="cb1-2" title="2"><span class="kw">&lt;html</span><span class="ot"> lang=</span><span class="st">&quot;en&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb1-3" title="3"><span class="kw">&lt;head&gt;</span></a>
<a class="sourceLine" id="cb1-4" title="4">  <span class="kw">&lt;meta</span><span class="ot"> charset=</span><span class="st">&quot;UTF-8&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb1-5" title="5">  <span class="kw">&lt;meta</span><span class="ot"> name=</span><span class="st">&quot;viewport&quot;</span><span class="ot"> content=</span><span class="st">&quot;width=device-width, initial-scale=1.0&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb1-6" title="6">  <span class="kw">&lt;meta</span><span class="ot"> http-equiv=</span><span class="st">&quot;X-UA-Compatible&quot;</span><span class="ot"> content=</span><span class="st">&quot;ie=edge&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb1-7" title="7">  <span class="kw">&lt;title&gt;</span>Document<span class="kw">&lt;/title&gt;</span></a>
<a class="sourceLine" id="cb1-8" title="8"><span class="kw">&lt;/head&gt;</span></a>
<a class="sourceLine" id="cb1-9" title="9"><span class="kw">&lt;body&gt;</span></a>
<a class="sourceLine" id="cb1-10" title="10"></a>
<a class="sourceLine" id="cb1-11" title="11"><span class="kw">&lt;/body&gt;</span></a>
<a class="sourceLine" id="cb1-12" title="12"><span class="kw">&lt;/html&gt;</span></a></code></pre>
    </div>
    <h3 id="child-items">Child items</h3>
    <p>Child items are created using <code>&gt;</code></p>
    <p><code>ul&gt;li&gt;p</code></p>
    <div class="sourceCode" id="cb2">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb2-1" title="1"><span class="kw">&lt;ul&gt;</span></a>
<a class="sourceLine" id="cb2-2" title="2">  <span class="kw">&lt;li&gt;</span></a>
<a class="sourceLine" id="cb2-3" title="3">    <span class="kw">&lt;p&gt;&lt;/p&gt;</span></a>
<a class="sourceLine" id="cb2-4" title="4">  <span class="kw">&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb2-5" title="5"><span class="kw">&lt;/ul&gt;</span></a></code></pre>
    </div>
    <h3 id="sibling-items">Sibling Items</h3>
    <p>Sibling items are created using <code>+</code></p>
    <p><code>html&gt;head+body</code></p>
    <div class="sourceCode" id="cb3">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb3-1" title="1"><span class="kw">&lt;html&gt;</span></a>
<a class="sourceLine" id="cb3-2" title="2">  <span class="kw">&lt;head&gt;&lt;/head&gt;</span></a>
<a class="sourceLine" id="cb3-3" title="3">  <span class="kw">&lt;body&gt;&lt;/body&gt;</span></a>
<a class="sourceLine" id="cb3-4" title="4"><span class="kw">&lt;/html&gt;</span></a></code></pre>
    </div>
    <h3 id="multiplication">Multiplication</h3>
    <p>Items can be multiplied by <code>*</code></p>
    <p><code>ul&gt;li*5</code></p>
    <div class="sourceCode" id="cb4">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb4-1" title="1"><span class="kw">&lt;ul&gt;</span></a>
<a class="sourceLine" id="cb4-2" title="2">  <span class="kw">&lt;li&gt;&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb4-3" title="3">  <span class="kw">&lt;li&gt;&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb4-4" title="4">  <span class="kw">&lt;li&gt;&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb4-5" title="5">  <span class="kw">&lt;li&gt;&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb4-6" title="6">  <span class="kw">&lt;li&gt;&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb4-7" title="7"><span class="kw">&lt;/ul&gt;</span></a></code></pre>
    </div>
    <h3 id="grouping">Grouping</h3>
    <p>Items can be grouped together using <code>()</code></p>
    <p><code>table&gt;(tr&gt;th*5)+tr&gt;t*5</code></p>
    <div class="sourceCode" id="cb5">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb5-1" title="1"><span class="kw">&lt;table&gt;</span></a>
<a class="sourceLine" id="cb5-2" title="2">  <span class="kw">&lt;tr&gt;</span></a>
<a class="sourceLine" id="cb5-3" title="3">    <span class="kw">&lt;th&gt;&lt;/th&gt;</span></a>
<a class="sourceLine" id="cb5-4" title="4">    <span class="kw">&lt;th&gt;&lt;/th&gt;</span></a>
<a class="sourceLine" id="cb5-5" title="5">    <span class="kw">&lt;th&gt;&lt;/th&gt;</span></a>
<a class="sourceLine" id="cb5-6" title="6">    <span class="kw">&lt;th&gt;&lt;/th&gt;</span></a>
<a class="sourceLine" id="cb5-7" title="7">    <span class="kw">&lt;th&gt;&lt;/th&gt;</span></a>
<a class="sourceLine" id="cb5-8" title="8">  <span class="kw">&lt;/tr&gt;</span></a>
<a class="sourceLine" id="cb5-9" title="9">  <span class="kw">&lt;tr&gt;</span></a>
<a class="sourceLine" id="cb5-10" title="10">    <span class="kw">&lt;t&gt;&lt;/t&gt;</span></a>
<a class="sourceLine" id="cb5-11" title="11">    <span class="kw">&lt;t&gt;&lt;/t&gt;</span></a>
<a class="sourceLine" id="cb5-12" title="12">    <span class="kw">&lt;t&gt;&lt;/t&gt;</span></a>
<a class="sourceLine" id="cb5-13" title="13">    <span class="kw">&lt;t&gt;&lt;/t&gt;</span></a>
<a class="sourceLine" id="cb5-14" title="14">    <span class="kw">&lt;t&gt;&lt;/t&gt;</span></a>
<a class="sourceLine" id="cb5-15" title="15">  <span class="kw">&lt;/tr&gt;</span></a>
<a class="sourceLine" id="cb5-16" title="16"><span class="kw">&lt;/table&gt;</span></a></code></pre>
    </div>
    <h3 id="class-and-id">Class and ID</h3>
    <p>
      Class and Id in Emmet can be done using <code>.</code> and <code>#</code>
    </p>
    <p><code>div.heading</code></p>
    <div class="sourceCode" id="cb6">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb6-1" title="1"><span class="kw">&lt;div</span><span class="ot"> class=</span><span class="st">&quot;heading&quot;</span><span class="kw">&gt;&lt;/div&gt;</span></a></code></pre>
    </div>
    <p><code>div#heading</code></p>
    <div class="sourceCode" id="cb7">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb7-1" title="1"><span class="kw">&lt;div</span><span class="ot"> id=</span><span class="st">&quot;heading&quot;</span><span class="kw">&gt;&lt;/div&gt;</span></a></code></pre>
    </div>
    <p>ID and Class can also be combined together</p>
    <p><code>div#heading.center</code></p>
    <div class="sourceCode" id="cb8">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb8-1" title="1"><span class="kw">&lt;div</span><span class="ot"> id=</span><span class="st">&quot;heading&quot;</span><span class="ot"> class=</span><span class="st">&quot;center&quot;</span><span class="kw">&gt;&lt;/div&gt;</span></a></code></pre>
    </div>
    <h3 id="adding-content-inside-tags">Adding Content inside tags</h3>
    <p>Contents inside tags can be added using <code>{}</code></p>
    <p>
      <code
        >h1{Emmet is awesome}+h2{Every front end developers should use
        this}+p{This is paragraph}*2</code
      >
    </p>
    <div class="sourceCode" id="cb9">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb9-1" title="1"><span class="kw">&lt;h1&gt;</span>Emmet is awesome<span class="kw">&lt;/h1&gt;</span></a>
<a class="sourceLine" id="cb9-2" title="2"><span class="kw">&lt;h2&gt;</span>Every front end developers should use this<span class="kw">&lt;/h2&gt;</span></a>
<a class="sourceLine" id="cb9-3" title="3"><span class="kw">&lt;p&gt;</span>This is paragraph<span class="kw">&lt;/p&gt;</span></a>
<a class="sourceLine" id="cb9-4" title="4"><span class="kw">&lt;p&gt;</span>This is paragraph<span class="kw">&lt;/p&gt;</span></a></code></pre>
    </div>
    <h3 id="attributes-inside-html-tags">Attributes inside HTML tags</h3>
    <p>Attributes can be added using <code>[]</code></p>
    <p>
      <code
        >a[href=https://?google.com data-toggle=something target=_blank]</code
      >
    </p>
    <div class="sourceCode" id="cb10">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb10-1" title="1"><span class="kw">&lt;a</span><span class="ot"> href=</span><span class="st">&quot;https://?google.com&quot;</span><span class="ot"> data-toggle=</span><span class="st">&quot;something&quot;</span><span class="ot"> target=</span><span class="st">&quot;_blank&quot;</span><span class="kw">&gt;&lt;/a&gt;</span></a></code></pre>
    </div>
    <h3 id="numbering">Numbering</h3>
    <p>
      Numbering can be done using <code>$</code> You can use this inside tag or
      contents.
    </p>
    <p><code>h${This is so awesome $}*6</code></p>
    <div class="sourceCode" id="cb11">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb11-1" title="1"><span class="kw">&lt;h1&gt;</span>This is so awesome 1<span class="kw">&lt;/h1&gt;</span></a>
<a class="sourceLine" id="cb11-2" title="2"><span class="kw">&lt;h2&gt;</span>This is so awesome 2<span class="kw">&lt;/h2&gt;</span></a>
<a class="sourceLine" id="cb11-3" title="3"><span class="kw">&lt;h3&gt;</span>This is so awesome 3<span class="kw">&lt;/h3&gt;</span></a>
<a class="sourceLine" id="cb11-4" title="4"><span class="kw">&lt;h4&gt;</span>This is so awesome 4<span class="kw">&lt;/h4&gt;</span></a>
<a class="sourceLine" id="cb11-5" title="5"><span class="kw">&lt;h5&gt;</span>This is so awesome 5<span class="kw">&lt;/h5&gt;</span></a>
<a class="sourceLine" id="cb11-6" title="6"><span class="kw">&lt;h6&gt;</span>This is so awesome 6<span class="kw">&lt;/h6&gt;</span></a></code></pre>
    </div>
    <p>Use <code>@-</code> to reverse the Numbering</p>
    <p><code>img[src=image$$@-.jpg]*5</code></p>
    <div class="sourceCode" id="cb12">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb12-1" title="1"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;image05.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb12-2" title="2"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;image04.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb12-3" title="3"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;image03.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb12-4" title="4"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;image02.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb12-5" title="5"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;image01.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a></code></pre>
    </div>
    <p>To start the numbering from specific number, use this way</p>
    <p><code>img[src=emmet$@100.jpg]*5</code></p>
    <div class="sourceCode" id="cb13">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb13-1" title="1"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;emmet100.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb13-2" title="2"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;emmet101.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb13-3" title="3"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;emmet102.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb13-4" title="4"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;emmet103.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb13-5" title="5"><span class="kw">&lt;img</span><span class="ot"> src=</span><span class="st">&quot;emmet104.jpg&quot;</span><span class="ot"> alt=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a></code></pre>
    </div>
    <h2 id="tips">Tips</h2>
    <ul>
      <li>Use <code>:</code> to expand known abbreviations</li>
    </ul>
    <p><code>input:date</code></p>
    <div class="sourceCode" id="cb14">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb14-1" title="1"><span class="kw">&lt;input</span><span class="ot"> type=</span><span class="st">&quot;date&quot;</span><span class="ot"> name=</span><span class="st">&quot;&quot;</span><span class="ot"> id=</span><span class="st">&quot;&quot;</span><span class="kw">&gt;</span></a></code></pre>
    </div>
    <p><code>form:post</code></p>
    <div class="sourceCode" id="cb15">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb15-1" title="1"><span class="kw">&lt;form</span><span class="ot"> action=</span><span class="st">&quot;&quot;</span><span class="ot"> method=</span><span class="st">&quot;post&quot;</span><span class="kw">&gt;&lt;/form&gt;</span></a></code></pre>
    </div>
    <p><code>link:css</code></p>
    <div class="sourceCode" id="cb16">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb16-1" title="1"><span class="kw">&lt;link</span><span class="ot"> rel=</span><span class="st">&quot;stylesheet&quot;</span><span class="ot"> href=</span><span class="st">&quot;style.css&quot;</span> <span class="kw">/&gt;</span></a></code></pre>
    </div>
    <ul>
      <li>Building Navbar</li>
    </ul>
    <p><code>.navbar&gt;ul&gt;li*3&gt;a[href=#]{Item $@-}</code></p>
    <div class="sourceCode" id="cb17">
      <pre
        class="sourceCode html"
      ><code class="sourceCode html"><a class="sourceLine" id="cb17-1" title="1"><span class="kw">&lt;div</span><span class="ot"> class=</span><span class="st">&quot;navbar&quot;</span><span class="kw">&gt;</span></a>
<a class="sourceLine" id="cb17-2" title="2">  <span class="kw">&lt;ul&gt;</span></a>
<a class="sourceLine" id="cb17-3" title="3">    <span class="kw">&lt;li&gt;&lt;a</span><span class="ot"> href=</span><span class="st">&quot;#&quot;</span><span class="kw">&gt;</span>Item 3<span class="kw">&lt;/a&gt;&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb17-4" title="4">    <span class="kw">&lt;li&gt;&lt;a</span><span class="ot"> href=</span><span class="st">&quot;#&quot;</span><span class="kw">&gt;</span>Item 2<span class="kw">&lt;/a&gt;&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb17-5" title="5">    <span class="kw">&lt;li&gt;&lt;a</span><span class="ot"> href=</span><span class="st">&quot;#&quot;</span><span class="kw">&gt;</span>Item 1<span class="kw">&lt;/a&gt;&lt;/li&gt;</span></a>
<a class="sourceLine" id="cb17-6" title="6">  <span class="kw">&lt;/ul&gt;</span></a>
<a class="sourceLine" id="cb17-7" title="7"><span class="kw">&lt;/div&gt;</span></a></code></pre>
    </div>
    <h2 id="css">CSS</h2>
    <p>Emmet works surprisingly well with css as well.</p>
    <ul>
      <li><code>f:l</code></li>
    </ul>
    <div class="sourceCode" id="cb18">
      <pre
        class="sourceCode css"
      ><code class="sourceCode css"><a class="sourceLine" id="cb18-1" title="1">float<span class="in">: left</span>;</a></code></pre>
    </div>
    <p>You can also use any options n/r/l</p>
    <ul>
      <li><code>pos:a­</code></li>
    </ul>
    <div class="sourceCode" id="cb19">
      <pre
        class="sourceCode css"
      ><code class="sourceCode css"><a class="sourceLine" id="cb19-1" title="1">position<span class="in">: absolute</span>;</a></code></pre>
    </div>
    <p>Also use any options, pos:a/r/f</p>
    <ul>
      <li><code>d:n/b­/f/­i/ib</code></li>
    </ul>
    <p><code>d:ib</code></p>
    <div class="sourceCode" id="cb20">
      <pre
        class="sourceCode css"
      ><code class="sourceCode css"><a class="sourceLine" id="cb20-1" title="1">display<span class="in">: inline-block</span>;</a></code></pre>
    </div>
    <ul>
      <li>
        You can use <code>m</code> for margin and <code>p</code> for padding
        followed by direction
      </li>
    </ul>
    <p><code>mr</code> -&gt; <code>margin-right</code></p>
    <p><code>pr</code> -&gt; <code>padding-right</code></p>
    <ul>
      <li><code>@f</code> will result in</li>
    </ul>
    <div class="sourceCode" id="cb21">
      <pre
        class="sourceCode css"
      ><code class="sourceCode css"><a class="sourceLine" id="cb21-1" title="1"><span class="im">@font-face</span> {</a>
<a class="sourceLine" id="cb21-2" title="2">  <span class="kw">font-family</span>: <span class="op">;</span></a>
<a class="sourceLine" id="cb21-3" title="3">  <span class="kw">src</span>: <span class="fu">url()</span><span class="op">;</span></a>
<a class="sourceLine" id="cb21-4" title="4">}</a></code></pre>
    </div>
    <p>You can also use these shorthands</p>
    <table>
      <thead>
        <tr class="header">
          <th>Shorthand</th>
          <th>Description</th>
        </tr>
      </thead>
      <tbody>
        <tr class="odd">
          <td>z</td>
          <td>z-index</td>
        </tr>
        <tr class="even">
          <td>w</td>
          <td>width</td>
        </tr>
        <tr class="odd">
          <td>h</td>
          <td>height</td>
        </tr>
        <tr class="even">
          <td>fz</td>
          <td>font-size</td>
        </tr>
        <tr class="odd">
          <td>ff</td>
          <td>font-family</td>
        </tr>
        <tr class="even">
          <td>fw</td>
          <td>font-weight</td>
        </tr>
        <tr class="odd">
          <td><span class="citation" data-cites="lh">@lh</span></td>
          <td>line-height</td>
        </tr>
        <tr class="even">
          <td>maw</td>
          <td>max-width</td>
        </tr>
        <tr class="odd">
          <td>mah</td>
          <td>max-height</td>
        </tr>
        <tr class="even">
          <td>miw</td>
          <td>min-width</td>
        </tr>
        <tr class="odd">
          <td>mih</td>
          <td>min-width</td>
        </tr>
        <tr class="even">
          <td>!</td>
          <td>!important</td>
        </tr>
        <tr class="odd">
          <td><span class="citation" data-cites="f">@f</span></td>
          <td>font-face</td>
        </tr>
        <tr class="even">
          <td><span class="citation" data-cites="op">@op</span></td>
          <td>opacity</td>
        </tr>
        <tr class="odd">
          <td><span class="citation" data-cites="lh">@lh</span></td>
          <td>line-height</td>
        </tr>
        <tr class="even">
          <td><span class="citation" data-cites="op">@op</span></td>
          <td>opacity</td>
        </tr>
      </tbody>
    </table>
  </body>
</html>
